nn.pp.rccore

## Class Snapshot

- java.lang.Object
- - nn.pp.rccore.Snapshot

-     public class Snapshot
      extends java.lang.Object

  Represents a snapshot of raw image data as it sent from the KX

  The image data is in a proprietary data format, as it is used for transmission of video frames from the KX to the client. This is mainly for debugging or troubleshooting purposes.

  See Also:
    `RCCore.requestRawVideoSnapshot(Snapshot.ColorFormat)`, `VideoEventListener.rawVideoSnapshotReceived(Snapshot, java.awt.image.BufferedImage)`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Snapshot.ColorFormat` The color format of the snapshot

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `Snapshot.ColorFormat` | `colorFormat` The color format of the snapshot
    `byte[]` | `data` The raw image data
    `java.awt.Dimension` | `size` The video resolution of the snapshot data

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Snapshot(Snapshot.ColorFormat colorFormat, java.awt.Dimension size, byte[] data)` Create a new raw image snapshot

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### colorFormat

          public final Snapshot.ColorFormat colorFormat

      The color format of the snapshot

    - #### size

          public final java.awt.Dimension size

      The video resolution of the snapshot data

    - #### data

          public final byte[] data

      The raw image data

  - ### Constructor Detail

    - #### Snapshot

          public Snapshot(Snapshot.ColorFormat colorFormat,
                          java.awt.Dimension size,
                          byte[] data)

      Create a new raw image snapshot
      Parameters:
        `colorFormat` - the color format of the snapshot
        `size` - the size of the snapshot (resolution)
        `data` - the raw snapshot data

Copyright © 2025 Raritan Inc. All Rights Reserved.